View Issue Details

IDProjectCategoryView StatusLast Update
0002428Path[FreeCAD] Featurepublic2017-05-01 11:42
Reportersliptonic Assigned Torealthunder  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version[FreeCAD] 0.17 
Summary0002428: Path - Add direction arrows to Path command visualization.
DescriptionMost modern CAM software will display the path backplot to visualize the tool movement relative to the model. This will include a visual cue to the direction of travel ie depicting a line with an embedded arrow head (---->-----). With FreeCAD's current implementation in Path, it isn't possible to determine the direction of travel by looking at the path.

It would be best to allow a preference setting to toggle arrows on and off since they might be ineffective or distracting in very dense backplots.
TagsNo tags attached.
FreeCAD Information

Activities

sliptonic

2017-03-20 19:10

developer   ~0008661

c:FreeCAD:2f1880cf7b5cb51f6a8c69e869f21d339ba8bd2b

Kunda1

2017-03-20 20:06

administrator   ~0008664

@sliptonic needs to end with a ':'
FreeCAD master 2f1880cf

Kunda1

2017-04-28 19:26

administrator   ~0008813

Closing.
FYI @kkremitzki do u mind adding realthunder as a developer so we can credit him where it's due? (Like in this ticket)

kkremitzki

2017-05-01 00:27

administrator   ~0008836

@Kunda1 @realthunder should be set up as a dev now.

Related Changesets

FreeCAD: master 2f1880cf

2017-03-17 08:22:55

realthunder


Committer: wmayer Details Diff
PathGui: enable ViewProviderPath pre-select

Pre-select will show the corresponding GCode in the status bar, and also
the direction of the movement.
Affected Issues
0002428
mod - src/Mod/Path/Gui/ViewProviderPath.cpp Diff File
mod - src/Mod/Path/Gui/ViewProviderPath.h Diff File

Issue History

Date Modified Username Field Change
2016-01-30 16:11 sliptonic New Issue
2016-01-30 17:13 yorik Summary Add direction arrows to Path command visualization. => Path - Add direction arrows to Path command visualization.
2016-02-23 14:15 yorik Assigned To => yorik
2016-02-23 14:15 yorik Status new => assigned
2016-03-22 15:19 yorik Project FreeCAD => Path
2017-03-20 19:10 sliptonic Status assigned => resolved
2017-03-20 19:10 sliptonic Resolution open => fixed
2017-03-20 19:10 sliptonic Fixed in Version => 0.17
2017-03-20 19:10 sliptonic Note Added: 0008661
2017-03-20 20:06 Kunda1 Note Added: 0008664
2017-03-20 20:07 Kunda1 Changeset attached => FreeCAD master 2f1880cf
2017-04-28 19:26 Kunda1 Assigned To yorik => wmayer
2017-04-28 19:26 Kunda1 Status resolved => closed
2017-04-28 19:26 Kunda1 Note Added: 0008813
2017-05-01 00:27 kkremitzki Note Added: 0008836
2017-05-01 11:42 Kunda1 Assigned To wmayer => realthunder